package com.sifang.modules.partner.dto;

import java.math.BigDecimal;
import java.util.List;

public class HuaRongEquipList {

    /**
     * 组件块数
     */
    private String blockNumber;
    /**
     * 组件品牌
     */
    private String componentNameplate;
    /**
     * 备注
     */
    private String description;
    /**
     * 效率
     */
    private String efficiency;
    /**
     * 租赁物名称
     */
    private String equipName;
    /**
     * 设备安装地址
     */
    private String equipUsePlace;
    /**
     * 地址详情
     */
    private String equipUsePlaceDetails;
    /**
     * epc价格
     */
    private String equipValue;
    /**
     * 厂商
     */
    private String manufacturer;
    /**
     * 组件型号
     */
    private String model;
    /**
     * 组件功率
     */
    private String modulePower;
    /**
     * 租赁物原值/评估
     */
    private String originalAssetValue;

    /**
     * 不含税原价
     */
    private String netOriginalAssetValue;


    /**
     *确定的租赁物价值(元)
     */
    private String confirmValue;

    /**
     * 确认折旧(元)
     */
    private String accumulatedDepreciation;

    /**
     * 始确认物净值
     */
    private String netAssetValue;

    /**
     * 组件规格
     */
    private String packageSpecification;
    /**
     * 装机容量
     */
    private String quantity;

    /**
     * 组件版面类型
     */
    private String  boardType;

    /**
     * 逆变器品牌
     */
    private String InverterBrand;
    private String InverterTypeNumber;
    private String equipNum;
    private String confirmNetValueDate;
    private String purchasedate;
    private String equipmentDeliveryDate;
    private String entryDate;
    private List<MixtureRoofInfo> roofList;

    public List<MixtureRoofInfo> getRoofList() {
        return roofList;
    }

    public void setRoofList(List<MixtureRoofInfo> roofList) {
        this.roofList = roofList;
    }

    public String getInverterBrand() {
        return InverterBrand;
    }

    public void setInverterBrand(String inverterBrand) {
        this.InverterBrand = inverterBrand;
    }

    public String getInverterTypeNumber() {
        return InverterTypeNumber;
    }

    public void setInverterTypeNumber(String inverterTypeNumber) {
        this.InverterTypeNumber = inverterTypeNumber;
    }

    public String getConfirmNetValueDate() {
        return confirmNetValueDate;
    }

    public void setConfirmNetValueDate(String confirmNetValueDate) {
        this.confirmNetValueDate = confirmNetValueDate;
    }

    public String getPurchasedate() {
        return purchasedate;
    }

    public void setPurchasedate(String purchasedate) {
        this.purchasedate = purchasedate;
    }

    public String getEquipmentDeliveryDate() {
        return equipmentDeliveryDate;
    }

    public void setEquipmentDeliveryDate(String equipmentDeliveryDate) {
        this.equipmentDeliveryDate = equipmentDeliveryDate;
    }

    public String getEntryDate() {
        return entryDate;
    }

    public void setEntryDate(String entryDate) {
        this.entryDate = entryDate;
    }

    public String getEquipNum() {
        return equipNum;
    }

    public void setEquipNum(String equipNum) {
        this.equipNum = equipNum;
    }


    public String getNetOriginalAssetValue() {
        return netOriginalAssetValue;
    }

    public void setNetOriginalAssetValue(String netOriginalAssetValue) {
        this.netOriginalAssetValue = netOriginalAssetValue;
    }

    public String getConfirmValue() {
        return confirmValue;
    }

    public void setConfirmValue(String confirmValue) {
        this.confirmValue = confirmValue;
    }

    public String getAccumulatedDepreciation() {
        return accumulatedDepreciation;
    }

    public void setAccumulatedDepreciation(String accumulatedDepreciation) {
        this.accumulatedDepreciation = accumulatedDepreciation;
    }

    public String getNetAssetValue() {
        return netAssetValue;
    }

    public void setNetAssetValue(String netAssetValue) {
        this.netAssetValue = netAssetValue;
    }

    public String getBoardType() {
        return boardType;
    }

    public void setBoardType(String boardType) {
        this.boardType = boardType;
    }

    public String getBlockNumber() { return blockNumber; }
    public void setBlockNumber(String value) { this.blockNumber = value; }

    public String getComponentNameplate() { return componentNameplate; }
    public void setComponentNameplate(String value) { this.componentNameplate = value; }

    public String getDescription() { return description; }
    public void setDescription(String value) { this.description = value; }

    public String getEfficiency() { return efficiency; }
    public void setEfficiency(String value) { this.efficiency = value; }

    public String getEquipName() { return equipName; }
    public void setEquipName(String value) { this.equipName = value; }

    public String getEquipUsePlace() { return equipUsePlace; }
    public void setEquipUsePlace(String value) { this.equipUsePlace = value; }

    public String getEquipUsePlaceDetails() { return equipUsePlaceDetails; }
    public void setEquipUsePlaceDetails(String value) { this.equipUsePlaceDetails = value; }

    public String getEquipValue() { return equipValue; }
    public void setEquipValue(String value) { this.equipValue = value; }

    public String getManufacturer() { return manufacturer; }
    public void setManufacturer(String value) { this.manufacturer = value; }

    public String getModel() { return model; }
    public void setModel(String value) { this.model = value; }

    public String getModulePower() { return modulePower; }
    public void setModulePower(String value) { this.modulePower = value; }

    public String getOriginalAssetValue() { return originalAssetValue; }
    public void setOriginalAssetValue(String value) { this.originalAssetValue = value; }

    public String getPackageSpecification() { return packageSpecification; }
    public void setPackageSpecification(String value) { this.packageSpecification = value; }

    public String getQuantity() { return quantity; }
    public void setQuantity(String value) { this.quantity = value; }
}
